import { useColumns } from "./useTableColumns";
import React from "react";
import DataTable from "../../Layout/Dashboard/Table/DataTable";
import { useGetAllQuestion } from "../../api/Question";
import { useParams } from "react-router-dom";
import { ParamsEnum } from "../../enums/params";

const App: React.FC = () => {
  const { lesson_id } = useParams<ParamsEnum>();
  const response = useGetAllQuestion({
    lesson_id: lesson_id,
    pagination: true,
  });
  return <DataTable response={response} useColumns={useColumns} />;
};

export default App;
